/* Example: main as a function */
/* Shows use of argc and argv[] and return value */

/* You can feed arguments from the operating system shell to main.
At the Unix prompt, try entering: a.out 3 blind mice */

#include <stdio.h>
#include <stdlib.h>

int main(int argc, char *argv[])
{
  /* argc      argument count: number of arguments given */
  /* argv[]    argument vector: array of argument strings */
  
  int i;
  
  /* argv[0], the program's name, is always present */
  
  printf("The name of this program is %s\n", argv[0]);
  
  for (i = 1; i < argc; i++)
    printf("Argument #%i is %s\n", i, argv[i]);
  
  /* You can return a value from main to the operating system shell. 
  This is useful when the program is called from a shell script,
  to determine whether it completed properly or to return a value. */
  
  return EXIT_SUCCESS;  /* EXIT_SUCCESS and EXIT_FAILURE
                        are defined in <stdlib.h> */
 }
